## swift 2.31.1+git2023071215.7cc8a017

=== debian/changelog ===
swift (2.31.1+git2023071215.7cc8a017-0ubuntu2) mantic; urgency=medium

  * d/rules: Run unit tests with pytest.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jul 2023 16:41:53 -0400

swift (2.31.1+git2023071215.7cc8a017-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:17:50 -0400

swift (2.31.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 19:45:56 -0400

swift (2.31.0+git2023030309.a2952962-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/p/skip-py311-test-failures.patch: Updated with new failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:53:52 -0500

swift (2.31.0+git2023020814.488f8c83-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 14:31:43 -0500

swift (2.30.0+git2023011011.9c5cbaa5-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py311-test-failures.patch: Skip failing Python 3.11 tests
    until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:12:39 -0500

## swift 2.32.0

=== debian/changelog ===
swift (2.32.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 04 Nov 2025 15:46:24 +0000

swift (2.32.0-4) UNRELEASED; urgency=medium

  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2025 15:49:24 +0100

swift (2.32.0-3) unstable; urgency=medium

  * Add drive-full-checker.patch.
  * Blacklist a number of unit tests that are failing in my backport Jenkins
    since the upgrade to bookworm:
    - test_get_conns_hostname6
    - test_get_conns_v6_default
    - test_run_forever_recon_aggregation
    - test_GET_with_duplicate_but_sufficient_frag_indexes
  * Removed python3-boto from build-depends.
  * Blacklist failing patches and fix others (Closes: #1058223):
    - Blacklist test_perfect_four_zone_four_replica_bad_placement
    - Blacklist common.test_wsgi.TestWSGI.*
    - Blacklist TestObjectExpirer.test_delete_actual_object
    - Add fix-unit-testing-under-python-3.12.patch.
    - Add Be_more_explicit_about_closes_in_string_along.patch.
  * Add 2 more tests in the autopkgtest blacklist.
  * Also blacklist TestProxyServer.test_statsd_prefix (not deterministic).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2024 11:06:13 +0100

swift (2.32.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 08:56:02 +0200

swift (2.32.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-netifaces from (b-)depends.
  * Refresh patches, removed 2 patches applied upstream.
  * Add debug_logger_ensure_NOTICE_level_is_registered.patch.
  * Add Clean_up_watchdog_threads.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:58:03 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto3,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-openssl,
 python3-openstack.nose-plugin,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslosphinx,
 python3-pastedeploy,
 python3-pyeclib,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-swiftclient,
 python3-xattr,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-swift
Architecture: all
Section: python
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-cffi,
 python3-cryptography,
 python3-eventlet,
 python3-greenlet,
 python3-openssl,
 python3-oslo.config,
 python3-oslo.log,
 python3-pastedeploy,
 python3-pyeclib,
 python3-six,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 logrotate,
 python3-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

# Control if proxy + account + container server should be using UWSGI or not
export DEB_USE_UWSGI=no

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-swift.postinst

	set -e ; set -x ; \
	for i in	debian/swift-account.swift-account-auditor.init.in \
			debian/swift-account.swift-account-reaper.init.in \
			debian/swift-account.swift-account-replicator.init.in \
			debian/swift-container.swift-container-auditor.init.in \
			debian/swift-container.swift-container-reconciler.init.in \
			debian/swift-container.swift-container-replicator.init.in \
			debian/swift-container.swift-container-sharder.init.in \
			debian/swift-container.swift-container-sync.init.in \
			debian/swift-container.swift-container-updater.init.in \
			debian/swift-object-expirer.swift-object-expirer.init.in \
			debian/swift-object.swift-object-auditor.init.in \
			debian/swift-object.swift-object.init.in \
			debian/swift-object.swift-object-reconstructor.init.in \
			debian/swift-object.swift-object-replicator.init.in \
			debian/swift-object.swift-object-updater.init.in \
			; do \
		debian/gen-init $$i ; \
	done

	set -e ; set -x ; \
	for i in	debian/swift-proxy.swift-proxy.init \
			debian/swift-account.swift-account.init \
			debian/swift-container.swift-container.init \
			; do \
		if [ $$DEB_USE_UWSGI = "yes" ] ; then \
			cp $$i.in $$i ; \
			cat /usr/share/openstack-pkg-tools/init-script-template >>$$i ; \
			pkgos-gen-systemd-unit $$i.in ; \
		else \
			CONFIG=`echo $$i | cut -d/ -f2 | cut -d. -f1 | sed -e s/swift-//`-server debian/gen-init $$i.in ; \
		fi ; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	rm debian/tmp/usr/bin/swift-init
# https://review.opendev.org/c/openstack/swift/+/904601
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --test-path test/unit 'test\.unit\.(?!common\.test_utils\.TestUtils\.test_get_logger_sysloghandler_plumbing|common\.middleware\.test_cname_lookup\.TestCNAMELookup.*|common\.test_db\.TestDatabaseBroker\.test_get.*|container\.test_sync\.TestContainerSync\.test_init.*|common\.test_utils\.TestPunchHoleReally\.test_punch_a_hole.*|common\.test_utils\.Test_LibcWrapper\.test_argument_plumbing.*|common\.test_utils\.TestUtils\.test_load_pkg_resource_importlib.*|common\.test_db_replicator\.TestHandoffsOnly.*|common\.ring\.test_builder\.TestGetRequiredOverload\.test_perfect_four_zone_four_replica_bad_placement|common\.test_wsgi\.TestWSGI.*|obj\.test_expirer\.TestObjectExpirer\.test_delete_actual_object|common\.test_memcached\.TestMemcached\.test_get_conns_hostname6|common\.test_memcached\.TestMemcached\.test_get_conns_v6|common\.test_memcached\.TestMemcached\.test_get_conns_v6_default|obj\.test_reconstructor\.TestWorkerReconstructor\.test_run_forever_recon_aggregation|proxy\.controllers\.test_obj\.TestECObjController\.test_GET_with_duplicate_but_sufficient_frag_indexes|proxy\.test_mem_server\.TestProxyServer\.test_statsd_prefix)'

endif

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

gen-init-configurations:
	echo "Do nothing"

# build with sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## swift 2.32.0+git2023090714.8ce961ed

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.25.0                        # MIT
greenlet>=0.3.2
PasteDeploy>=2.0.0
lxml>=3.4.1
requests>=2.14.2                        # Apache-2.0
six>=1.10.0
xattr>=0.4;sys_platform!='win32'        # MIT
PyECLib>=1.3.1                          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0

# For python 2.7, the following requirements are needed; they are not
# included since the requirments-check check will fail otherwise since
# global requirements do not support these anymore.
# Fortunately, these packages come in as dependencies from others and
# thus the py27 jobs still work.
#
# dnspython>=1.15.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
# ipaddress>=1.0.16;python_version<'3.3'  # PSF

=== debian/changelog ===
swift (2.32.0+git2023090714.8ce961ed-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Sep 2023 19:13:33 +0000

swift (2.32.0+git2023090714.8ce961ed-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:49:35 -0400

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 libjerasure2,
 python3-bandit (>= 1.1.0),
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9),
 python3-botocore (>= 1.12),
 python3-cffi,
 python3-coverage (>= 3.6),
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.11.0),
 python3-keystoneclient (>= 1:2.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-netifaces (>= 0.8),
 python3-nose (>= 1.3.7),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.0.0),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-pytest (>= 4.6.11),
 python3-pytest-cov (>= 2.12.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools,
 python3-xattr (>= 0.4),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Homepage: https://opendev.org/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-eventlet (>= 0.25.0),
 python3-greenlet (>= 0.4.10),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netifaces (>= 0.8),
 python3-pastedeploy (>= 2.0.0),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-xattr (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Replaces:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=swift

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	dh_sphinxdoc
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PATH=$(CURDIR)/bin:$(PATH) PYTHONPATH=$(CURDIR) pytest-3 test/unit -p no:requests_mock
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	set -e ; set -x ; \
	for i in $(sort $(wildcard debian/*.init.in)) ; do \
		debian/gen-init $$i ; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp -Xdebian/swift-account-generator -Xdebian/swift-object-generator -Xdebian/swift-container-generator
	dh_missing --fail-missing
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/python3-swift/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/python3-swift/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/python3-swift/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/python3-swift/etc/swift/object-expirer.conf

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

override_dh_compress:
	dh_compress -Xconf-sample

## swift 2.33.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-eventlet>=0.25.0                        # MIT
+eventlet>=0.25.0,!=0.34.3               # MIT
 greenlet>=0.3.2
 PasteDeploy>=2.0.0
 lxml>=3.4.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.0.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
swift (2.33.0-0ubuntu1.1) noble-security; urgency=medium

  * d/p/lp2119646.patch: Use auth tokens when accessing Keystone's
    /v3/s3tokens endpoint (LP #2119646).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 03 Nov 2025 15:33:10 +0100

swift (2.33.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2024 09:23:39 +0000

swift (2.32.0+git2024030809.4135133a-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/p/*: Refresh.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 09:33:39 +0000

swift (2.32.0+git2024021508.3aba22fd-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Drop BD on python3-boto (LP: #2052437).
  * d/p/*: refresh.
  * d/swift-proxy.install: Add swift-reload binary.
  * d/p/skip-py312-failures.patch: Skip single test that fails under
    Python 3.12 until resolved upstream.
  * d/p/skip-py311-test-failures.patch,skip-test-db.patch: Drop, fixed
    upstream.
  * d/rules: Use pybuild to run pytest unit tests.
  * d/source/options: Ignore .launchpad.yaml.
  * d/rules: Ensure config samples are present in build directory for
    test execution.
  * d/swift-*.install: Drop unneeded usage of dh-exec.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Feb 2024 10:03:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=swift
+
+export PYBUILD_TEST_ARGS=--verbose -p no:requests_mock test/unit
+export PYBUILD_BEFORE_TEST=cp -r {dir}/etc {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/etc
 
 SHELL := /bin/sh -e
 
@@ -19,16 +23,14 @@
 	dh_clean
 	rm -rf doc/build
 
+override_dh_auto_test:
+	PATH=$(CURDIR)/bin:$(PATH) PYTHONPATH=$(CURDIR) dh_auto_test
+
 # build with sphinx documentation
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 override_dh_sphinxdoc:
 	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
 	dh_sphinxdoc
-endif
-
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	PATH=$(CURDIR)/bin:$(PATH) PYTHONPATH=$(CURDIR) pytest-3 test/unit -p no:requests_mock
 endif
 
 get-orig-source:

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://tarballs.opendev.org/openstack/swift/ swift-(\d.*).tar.gz
